Skip to main content
`Ctrl`+`K`

# BVGetCachedBV

Returns a `BV` object stored internally that holds the result of \(BX\) after a call to `BVApplyMatrixBV()`.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVGetCachedBV(BV bv,BV *cached)

Collective

## Input Parameter

- bv - the basis vectors context

## Output Parameter

- cached - the cached `BV`

## Note

The cached `BV` is created if not available previously.

## See Also

BV: Basis Vectors, `BVApplyMatrixBV()`

## Level

developer

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages